Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Fehler beim Aufrufen von "eselect news"
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1105
Location: Schwabenländle

PostPosted: Sat Nov 07, 2009 7:52 am    Post subject: [SOLVED] Fehler beim Aufrufen von "eselect news" Reply with quote

Hallo Zusamnen,

seit einer Weile habe habe ich Probleme bein Aufrufen von "eselect news".

Ich bekomme jedesmal folgenden Fehler angezeigt:

Code:
Server ~ # eselect news list
Unread news items:
  (none found)
Read news items:
/usr/share/eselect/modules/news.eselect: line 103: get_news_dir_name: command not found
  2009-09-27-qt_use_changes (no title available)
/usr/share/eselect/modules/news.eselect: line 103: get_news_dir_name: command not found
  2009-10-02-xorg-server-1-6-libxcb-1.4
                            (no title available)
Server ~ #


Hat Jemand eine Idee, woran das liegen könnte, bzw. wie man diesen Fehler behoben bekommt?


Last edited by 3PO on Sat Nov 07, 2009 8:30 am; edited 1 time in total
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sat Nov 07, 2009 8:10 am    Post subject: Reply with quote

Welche Version von eselect ist installiert?
Ist bei dir mittlerweile eselect-news deinstalliert worden?
Hast du es schon mit einem Neuinstallieren von eselect versucht?
Code:
$ paludis -q eselect-news
* app-admin/eselect-news
    gentoo:                  (20070709)R(~) (20071025)R(~) (20071201)R(~) (20080320)R* {:0}
    Homepage:                http://paludis.pioto.org/
    Description:             GLEP 42 news reader
    Herds:                   no-herd
    Maintainers:             peper@gentoo.org
    Use flags:               Build Options: -optional_tests split strip -trace
    Masked by repository:    /usr/portage/profiles/package.mask: Ulrich Mueller <ulm@gentoo.org> (11 Oct 2009) Blocked by its own dependency, therefore no longer installable. Use the news module of app-admin/eselect-1.2* as replacement. Masked for removal in 30 days, bug 288560.

Siehe die letzten 3 Zeilen.
Back to top
View user's profile Send private message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1105
Location: Schwabenländle

PostPosted: Sat Nov 07, 2009 8:29 am    Post subject: Reply with quote

Thx @ franzf,

Code:
emerge -C app-admin/eselect-news && emerge -av app-admin/eselect


... Brachte die Lösung. :)
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sat Nov 07, 2009 8:31 am    Post subject: Reply with quote

3PO wrote:
Thx @ franzf,

Code:
emerge -C app-admin/eselect-news && emerge -av app-admin/eselect


... Brachte die Lösung. :)

Hat denn portage nicht rumgemeckert?
Paludis schreit da so lange rum, bis ich den block löse... Und lässt mich absolut nichts aktualisieren :D
Back to top
View user's profile Send private message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1105
Location: Schwabenländle

PostPosted: Sat Nov 07, 2009 8:40 am    Post subject: Reply with quote

paludis ??

Was ist das? Das habe ich nicht installiert.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sat Nov 07, 2009 8:56 am    Post subject: Reply with quote

3PO wrote:
paludis ??

Was ist das? Das habe ich nicht installiert.

Paludis ist ein alternativer Package-Manager, so wie z.B. auch pkgcore.
Also ein Ersatz für emerge & co.
Musst du nicht verwenden, auch nicht installieren. Ich wollte nur wissen, ob emerge überhaupt rein gar nix an der parallelen Installation von eselect-1.2 und eselect-news ändern wollte? Keine Warning? Kein Error?
Back to top
View user's profile Send private message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1105
Location: Schwabenländle

PostPosted: Sat Nov 07, 2009 9:38 am    Post subject: Reply with quote

franzf wrote:
Paludis ist ein alternativer Package-Manager, so wie z.B. auch pkgcore.
Also ein Ersatz für emerge & co....


Wieso denn das? Was stimmt denn mit emerge nicht?
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sat Nov 07, 2009 10:03 am    Post subject: Reply with quote

3PO wrote:
Was stimmt denn mit emerge nicht?

Z.B.: http://paludis.pioto.org/faq/general.html#why
Wobei ich gelesen hab dass das mittlerweile besser wird.
Der andere Grund war, dass das kde-live-overlay einst nur paludis unterstützt hat (z.B. wegen USE-Dependencies und einigen anderen EAPI2-Späßen, gegen die man sich lange in portage gesperrt hat).
Dann hat mir auch ziemlich gefallen, dass Overlays als "repositories" verwaltet werden, aus denen man gezielt installieren konnte. Das ging so früher mit portage auch nicht. Man konnte z.B. mit portage nur eine bestimmte Version unmasken, nicht aber eine Version eines bestimmten Overlays, weshalb die Overlays immer eine Version höher sein mussten als portage usw.!
"sets" gab es früher auch in portage nicht, sondern nur in paludis.

Aber was ich gehört habe hat sich da bei portage mittlerweile auch viel getan, kann aber nichts dazu sagen, da ich es schon lange nicht mehr verwendet habe ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum